* {
  margin: 0;
  padding: 0;
  font-family: "Poppins", sans-serif;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

body {
  background: #080808;
  color: #fff;
}

/* ----------------header------------------- */

#header {
  width: 100%;
  height: 100vh;
  background-image: url(images/hero-bg.png);
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
  background-repeat: no-repeat;
  opacity: 0.9;
}

#header::after {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  height: 100vh;
  width: 100%;
  background-color: black;
  opacity: 0.7;
  z-index: -1;
}

.container {
  padding: 10px 10%;
}

nav {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
}

#sidemenu {
  display: flex;
  list-style: none;
  margin-left: auto;
  padding: 0;
}

.logo {
  width: 140px;
}

nav ul li {
  display: inline-block;
  list-style: none;
  margin: 20px 10px;
}

nav ul li a {
  color: #fff;
  text-decoration: none;
  font-size: 17px;
  position: relative;
}

nav ul li a::after {
  content: "";
  width: 0;
  height: 3px;
  background: #ff004f;
  position: absolute;
  left: 0;
  bottom: -6px;
  transition: 0.4s;
}

nav ul li a:hover::after {
  width: 100%;
}

.header-text {
  margin-top: 20%;
  font-size: 60px;
}

.header-text h1 {
  font-size: 80px;
  margin-top: 30px;
}

.header-text h1 span {
  color: #ff004f;
}

/* ----------------------certifications and courses------------------------ */
#certifications {
  padding: 50px 0;
}

.certifications-list {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(400px, 1fr));
  gap: 50px;
  margin-top: 10px;
}

.certification {
  border-radius: 10px;
  position: relative;
  overflow: hidden;
}

.certification img {
  width: 100%;
  border-radius: 10px;
  display: block;
  transition: transform 0.5s;
}

.layer {
  width: 100%;
  height: 0;
  background: linear-gradient(rgba(0, 0, 0, 0.6), #ff004f);
  border-radius: 10px;
  position: absolute;
  left: 0;
  bottom: 0;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  padding: 0 40px;
  text-align: center;
  font-size: 14px;
  transition: height 0.5s;
}

.layer h3 {
  font-weight: 500;
  margin-bottom: 20px;
}

.layer a {
  margin-top: 20px;
  color: #ff004f;
  text-decoration: none;
  font-size: 18px;
  line-height: 60px;
  background: #fff;
  width: 60px;
  height: 60px;
  border-radius: 50%;
  text-align: center;
}

.certification:hover img {
  transform: scale(1.1);
}

.certification:hover .layer {
  height: 100%;
}

.btn {
  display: block;
  margin: 50px auto;
  width: fit-content;
  border: 1px solid #ff004f;
  padding: 14px 50px;
  border-radius: 6px;
  text-decoration: none;
  color: #fff;
  transition: background 0.5s;
}

.btn:hover {
  background: #ff004f;
}

/* --------------css for small screens-------------- */

nav .fa-solid {
  display: none;
}

@media only screen and (max-width: 600px) {
  #header {
    background-image: url(images/hero-bg-mobile.png);
  }

  .header-text {
    margin-top: 100%;
    font-size: 25px;
  }

  .header-text h1 {
    font-size: 45px;
  }

  .certifications-list {
    grid-template-columns: repeat(auto-fit, minmax(270px, 1fr));
  }
}
